/// <reference types="react" />
interface OptionsInterface {
    logger?: (l: any) => void;
    trelloKey: string;
    trelloToken: string;
    trelloBoardId: string;
    getState?: () => object;
    shouldIncludeDeviceInfo?: boolean;
}
declare class SnapshotForTrelloImpl {
    private _isUIVisible;
    private _currentUIStep;
    private _imageBase64Uri;
    private _imagePath;
    private _appState;
    private _deviceInfo;
    private _trelloLists;
    private _errors;
    private _api;
    private _isRunning;
    private _options;
    private onStart;
    private onCapture;
    private getState;
    private getDeviceInfo;
    private validate;
    private updateTrelloLists;
    private readonly isValid;
    readonly isUIVisible: boolean;
    readonly isRunning: boolean;
    readonly logger: (l: any) => void;
    readonly trelloLists: any[];
    readonly imageBase64Uri: string;
    readonly currentUIStep: string;
    changeUIStep: (step: "list-select" | "title-description" | "uploading") => void;
    clearUI: () => void;
    upload: (cardName: string, cardDescription: string, listId: string) => Promise<any>;
    configure: (options?: OptionsInterface) => SnapshotForTrelloImpl;
    start: (shouldStart?: boolean) => SnapshotForTrelloImpl;
    getInstance: () => SnapshotForTrelloImpl;
}
export declare const SnapshotForTrello: SnapshotForTrelloImpl;
export declare const SnapshotForTrelloUI: (SnapshotForTrello: any) => JSX.Element;
export {};
